ARG image_registry

FROM $image_registry/maven:latest AS builder

RUN mkdir /project

COPY resources/taurus-dependencies.xml /project

WORKDIR /project/

RUN rm -rf out/jmeter-dependencies && \
    mkdir -p out/jmeter-dependencies && \
    mvn -DoutputDirectory=out/jmeter-dependencies -DincludeScope=runtime -f taurus-dependencies.xml dependency:copy-dependencies

ARG image_registry

FROM $image_registry/blazemeter/taurus:latest

WORKDIR /project/out

COPY --from=builder /project/out/jmeter-dependencies/* /root/.bzt/jmeter-taurus/5.2.1/lib/

ENV PROJECT_ROOT=/project

